#include "Arguments.hpp"

Arguments::Arguments(int argc, char** argv)
{
    for (int i = 1; i < argc; ++i) {
        std::string arg = argv[i];
        if (arg.find("--") != 0) {
            continue;
        }

        arg = arg.substr(2);

        size_t pos = arg.find("=");
        if (pos != std::string::npos) {
            std::string name = arg.substr(0, pos);
            std::string value = arg.substr(pos + 1);
            m_arguments[name] = value;
        } else {
            m_arguments[arg] = "";
        }
    }
}

bool Arguments::hasArgument(const std::string& name) { return m_arguments.count(name) > 0; }
